<div *ngIf="showPopup" [ngStyle]="{'left': xPosition | addPx, 'top': yPosition | addPx}" class="popup">
  <div class="close">
    <p class="cross" (click)="emitsPopupService.closePopup()">X</p>
  </div>
  <div class="popup-content">
    <geodesign-select (ngModelChange)="onChange('type', $event)" [(ngModel)]="typeValue" [options]="typeOptions"
                      [label]="('DATA_PANEL_EMIT_GEN.TYPE' | translate) | addPoints"></geodesign-select>
    <geodesign-select (ngModelChange)="onChange('taille', $event)" [(ngModel)]="sizeValue" [options]="sizeOptions"
                      [label]="('DATA_PANEL_EMIT_GEN.SIZE' | translate) | addPoints"></geodesign-select>
    <geodesign-input-checkbox labelPosition="before" (ngModelChange)="onChange('projet', extractProjectValue($event))" [(ngModel)]="inProjectValue"
                              [label]="('DATA_PANEL_EMIT_GEN.PROJECT' | translate) | addPoints"></geodesign-input-checkbox>
  </div>
</div>
